local results = {
  fluid = {
    ["crude-oil"] = {
      ["250"] = 250
    },
    ["heavy-oil"] = {
      ["10"] = 10,
      ["30"] = 30,
      ["35"] = 35,
      ["250"] = 250
    },
    ["light-oil"] = {
      ["15"] = 15,
      ["30"] = 30,
      ["45"] = 45,
      ["250"] = 250
    },
    lubricant = {
      ["10"] = 10,
      ["250"] = 250
    },
    ["petroleum-gas"] = {
      ["20"] = 20,
      ["40"] = 40,
      ["55"] = 55,
      ["250"] = 250
    },
    ["sulfuric-acid"] = {
      ["50"] = 50,
      ["250"] = 250
    },
    water = {
      ["250"] = 250
    }
  },
  item = {
    accumulator = {
      ["1"] = 1
    },
    ["advanced-circuit"] = {
      ["1"] = 1
    },
    ["arithmetic-combinator"] = {
      ["1"] = 1
    },
    ["assembling-machine-1"] = {
      ["1"] = 1
    },
    ["assembling-machine-2"] = {
      ["1"] = 1
    },
    ["assembling-machine-3"] = {
      ["1"] = 1
    },
    ["atomic-bomb"] = {
      ["1"] = 1
    },
    battery = {
      ["1"] = 1
    },
    ["battery-equipment"] = {
      ["1"] = 1
    },
    ["battery-mk2-equipment"] = {
      ["1"] = 1
    },
    beacon = {
      ["1"] = 1
    },
    ["big-electric-pole"] = {
      ["1"] = 1
    },
    boiler = {
      ["1"] = 1
    },
    ["burner-inserter"] = {
      ["1"] = 1
    },
    ["burner-mining-drill"] = {
      ["1"] = 1
    },
    ["cannon-shell"] = {
      ["1"] = 1
    },
    car = {
      ["1"] = 1
    },
    ["cargo-wagon"] = {
      ["1"] = 1
    },
    centrifuge = {
      ["1"] = 1
    },
    ["chemical-plant"] = {
      ["1"] = 1
    },
    ["cluster-grenade"] = {
      ["1"] = 1
    },
    ["combat-shotgun"] = {
      ["1"] = 1
    },
    concrete = {
      ["10"] = 10
    },
    ["constant-combinator"] = {
      ["1"] = 1
    },
    ["construction-robot"] = {
      ["1"] = 1
    },
    ["copper-cable"] = {
      ["2"] = 2
    },
    ["copper-plate"] = {
      ["1"] = 1
    },
    ["crude-oil-barrel"] = {
      ["1"] = 1
    },
    ["decider-combinator"] = {
      ["1"] = 1
    },
    ["defender-capsule"] = {
      ["1"] = 1
    },
    ["destroyer-capsule"] = {
      ["1"] = 1
    },
    ["discharge-defense-equipment"] = {
      ["1"] = 1
    },
    ["discharge-defense-remote"] = {
      ["1"] = 1
    },
    ["distractor-capsule"] = {
      ["1"] = 1
    },
    ["effectivity-module"] = {
      ["1"] = 1
    },
    ["effectivity-module-2"] = {
      ["1"] = 1
    },
    ["effectivity-module-3"] = {
      ["1"] = 1
    },
    ["electric-energy-interface"] = {
      ["1"] = 1
    },
    ["electric-engine-unit"] = {
      ["1"] = 1
    },
    ["electric-furnace"] = {
      ["1"] = 1
    },
    ["electric-mining-drill"] = {
      ["1"] = 1
    },
    ["electronic-circuit"] = {
      ["1"] = 1
    },
    ["empty-barrel"] = {
      ["1"] = 1
    },
    ["energy-shield-equipment"] = {
      ["1"] = 1
    },
    ["energy-shield-mk2-equipment"] = {
      ["1"] = 1
    },
    ["engine-unit"] = {
      ["1"] = 1
    },
    ["exoskeleton-equipment"] = {
      ["1"] = 1
    },
    ["explosive-cannon-shell"] = {
      ["1"] = 1
    },
    ["explosive-rocket"] = {
      ["1"] = 1
    },
    ["explosive-uranium-cannon-shell"] = {
      ["1"] = 1
    },
    explosives = {
      ["1"] = 1
    },
    ["express-loader"] = {
      ["1"] = 1
    },
    ["express-splitter"] = {
      ["1"] = 1
    },
    ["express-transport-belt"] = {
      ["1"] = 1
    },
    ["express-underground-belt"] = {
      ["2"] = 2
    },
    ["fast-inserter"] = {
      ["1"] = 1
    },
    ["fast-loader"] = {
      ["1"] = 1
    },
    ["fast-splitter"] = {
      ["1"] = 1
    },
    ["fast-transport-belt"] = {
      ["1"] = 1
    },
    ["fast-underground-belt"] = {
      ["2"] = 2
    },
    ["filter-inserter"] = {
      ["1"] = 1
    },
    ["firearm-magazine"] = {
      ["1"] = 1
    },
    flamethrower = {
      ["1"] = 1
    },
    ["flamethrower-ammo"] = {
      ["1"] = 1
    },
    ["flamethrower-turret"] = {
      ["1"] = 1
    },
    ["fluid-wagon"] = {
      ["1"] = 1
    },
    ["flying-robot-frame"] = {
      ["1"] = 1
    },
    ["fusion-reactor-equipment"] = {
      ["1"] = 1
    },
    gate = {
      ["1"] = 1
    },
    ["green-wire"] = {
      ["1"] = 1
    },
    grenade = {
      ["1"] = 1
    },
    ["gun-turret"] = {
      ["1"] = 1
    },
    ["hazard-concrete"] = {
      ["10"] = 10
    },
    ["heat-exchanger"] = {
      ["1"] = 1
    },
    ["heat-pipe"] = {
      ["1"] = 1
    },
    ["heavy-armor"] = {
      ["1"] = 1
    },
    ["heavy-oil-barrel"] = {
      ["1"] = 1
    },
    ["high-tech-science-pack"] = {
      ["2"] = 2
    },
    inserter = {
      ["1"] = 1
    },
    ["iron-axe"] = {
      ["1"] = 1
    },
    ["iron-chest"] = {
      ["1"] = 1
    },
    ["iron-gear-wheel"] = {
      ["1"] = 1
    },
    ["iron-plate"] = {
      ["1"] = 1
    },
    ["iron-stick"] = {
      ["2"] = 2
    },
    lab = {
      ["1"] = 1
    },
    ["land-mine"] = {
      ["4"] = 4
    },
    landfill = {
      ["1"] = 1
    },
    ["laser-turret"] = {
      ["1"] = 1
    },
    ["light-armor"] = {
      ["1"] = 1
    },
    ["light-oil-barrel"] = {
      ["1"] = 1
    },
    loader = {
      ["1"] = 1
    },
    locomotive = {
      ["1"] = 1
    },
    ["logistic-chest-active-provider"] = {
      ["1"] = 1
    },
    ["logistic-chest-passive-provider"] = {
      ["1"] = 1
    },
    ["logistic-chest-requester"] = {
      ["1"] = 1
    },
    ["logistic-chest-storage"] = {
      ["1"] = 1
    },
    ["logistic-robot"] = {
      ["1"] = 1
    },
    ["long-handed-inserter"] = {
      ["1"] = 1
    },
    ["low-density-structure"] = {
      ["1"] = 1
    },
    ["lubricant-barrel"] = {
      ["1"] = 1
    },
    ["medium-electric-pole"] = {
      ["1"] = 1
    },
    ["military-science-pack"] = {
      ["2"] = 2
    },
    ["modular-armor"] = {
      ["1"] = 1
    },
    ["night-vision-equipment"] = {
      ["1"] = 1
    },
    ["nuclear-reactor"] = {
      ["1"] = 1
    },
    ["offshore-pump"] = {
      ["1"] = 1
    },
    ["oil-refinery"] = {
      ["1"] = 1
    },
    ["personal-laser-defense-equipment"] = {
      ["1"] = 1
    },
    ["personal-roboport-equipment"] = {
      ["1"] = 1
    },
    ["personal-roboport-mk2-equipment"] = {
      ["1"] = 1
    },
    ["petroleum-gas-barrel"] = {
      ["1"] = 1
    },
    ["piercing-rounds-magazine"] = {
      ["1"] = 1
    },
    ["piercing-shotgun-shell"] = {
      ["1"] = 1
    },
    pipe = {
      ["1"] = 1
    },
    ["pipe-to-ground"] = {
      ["2"] = 2
    },
    pistol = {
      ["1"] = 1
    },
    ["plastic-bar"] = {
      ["2"] = 2
    },
    ["player-port"] = {
      ["1"] = 1
    },
    ["poison-capsule"] = {
      ["1"] = 1
    },
    ["power-armor"] = {
      ["1"] = 1
    },
    ["power-armor-mk2"] = {
      ["1"] = 1
    },
    ["power-switch"] = {
      ["1"] = 1
    },
    ["processing-unit"] = {
      ["1"] = 1
    },
    ["production-science-pack"] = {
      ["2"] = 2
    },
    ["productivity-module"] = {
      ["1"] = 1
    },
    ["productivity-module-2"] = {
      ["1"] = 1
    },
    ["productivity-module-3"] = {
      ["1"] = 1
    },
    ["programmable-speaker"] = {
      ["1"] = 1
    },
    pump = {
      ["1"] = 1
    },
    pumpjack = {
      ["1"] = 1
    },
    radar = {
      ["1"] = 1
    },
    rail = {
      ["2"] = 2
    },
    ["rail-chain-signal"] = {
      ["1"] = 1
    },
    ["rail-signal"] = {
      ["1"] = 1
    },
    railgun = {
      ["1"] = 1
    },
    ["railgun-dart"] = {
      ["1"] = 1
    },
    ["red-wire"] = {
      ["1"] = 1
    },
    ["repair-pack"] = {
      ["1"] = 1
    },
    roboport = {
      ["1"] = 1
    },
    rocket = {
      ["1"] = 1
    },
    ["rocket-control-unit"] = {
      ["1"] = 1
    },
    ["rocket-fuel"] = {
      ["1"] = 1
    },
    ["rocket-launcher"] = {
      ["1"] = 1
    },
    ["rocket-part"] = {
      ["1"] = 1
    },
    ["rocket-silo"] = {
      ["1"] = 1
    },
    satellite = {
      ["1"] = 1
    },
    ["science-pack-1"] = {
      ["1"] = 1
    },
    ["science-pack-2"] = {
      ["1"] = 1
    },
    ["science-pack-3"] = {
      ["1"] = 1
    },
    shotgun = {
      ["1"] = 1
    },
    ["shotgun-shell"] = {
      ["1"] = 1
    },
    ["slowdown-capsule"] = {
      ["1"] = 1
    },
    ["small-electric-pole"] = {
      ["2"] = 2
    },
    ["small-lamp"] = {
      ["1"] = 1
    },
    ["small-plane"] = {
      ["1"] = 1
    },
    ["solar-panel"] = {
      ["1"] = 1
    },
    ["solar-panel-equipment"] = {
      ["1"] = 1
    },
    ["solid-fuel"] = {
      ["1"] = 1
    },
    ["speed-module"] = {
      ["1"] = 1
    },
    ["speed-module-2"] = {
      ["1"] = 1
    },
    ["speed-module-3"] = {
      ["1"] = 1
    },
    splitter = {
      ["1"] = 1
    },
    ["stack-filter-inserter"] = {
      ["1"] = 1
    },
    ["stack-inserter"] = {
      ["1"] = 1
    },
    ["steam-engine"] = {
      ["1"] = 1
    },
    ["steam-turbine"] = {
      ["1"] = 1
    },
    ["steel-axe"] = {
      ["1"] = 1
    },
    ["steel-chest"] = {
      ["1"] = 1
    },
    ["steel-furnace"] = {
      ["1"] = 1
    },
    ["steel-plate"] = {
      ["1"] = 1
    },
    ["stone-brick"] = {
      ["1"] = 1
    },
    ["stone-furnace"] = {
      ["1"] = 1
    },
    ["stone-wall"] = {
      ["1"] = 1
    },
    ["storage-tank"] = {
      ["1"] = 1
    },
    ["submachine-gun"] = {
      ["1"] = 1
    },
    substation = {
      ["1"] = 1
    },
    sulfur = {
      ["2"] = 2
    },
    ["sulfuric-acid-barrel"] = {
      ["1"] = 1
    },
    tank = {
      ["1"] = 1
    },
    ["train-stop"] = {
      ["1"] = 1
    },
    ["transport-belt"] = {
      ["2"] = 2
    },
    ["underground-belt"] = {
      ["2"] = 2
    },
    ["uranium-235"] = {
      ["1"] = 1,
      ["41"] = 41
    },
    ["uranium-238"] = {
      ["1"] = 1,
      ["2"] = 2,
      ["3"] = 3
    },
    ["uranium-cannon-shell"] = {
      ["1"] = 1
    },
    ["uranium-fuel-cell"] = {
      ["10"] = 10
    },
    ["uranium-rounds-magazine"] = {
      ["1"] = 1
    },
    ["water-barrel"] = {
      ["1"] = 1
    },
    wood = {
      ["2"] = 2
    },
    ["wooden-chest"] = {
      ["1"] = 1
    }
  }
}