local results = {
  fluid = {
    ammonia = {
      ["20"] = 20,
      ["50"] = 50
    },
    chlorine = {
      ["25"] = 25,
      ["50"] = 50
    },
    ["crude-oil"] = {
      ["250"] = 250
    },
    ["dinitrogen-tetroxide"] = {
      ["8"] = 8,
      ["250"] = 250
    },
    ["ferric-chloride-solution"] = {
      ["50"] = 50
    },
    glycerol = {
      ["10"] = 10,
      ["250"] = 250
    },
    ["heavy-oil"] = {
      ["10"] = 10,
      ["12"] = 12,
      ["30"] = 30,
      ["35"] = 35,
      ["50"] = 50,
      ["250"] = 250
    },
    hydrazine = {
      ["8"] = 8,
      ["250"] = 250
    },
    hydrogen = {
      ["10"] = 10,
      ["20"] = 20,
      ["50"] = 50,
      ["100"] = 100
    },
    ["hydrogen-chloride"] = {
      ["25"] = 25,
      ["50"] = 50
    },
    ["hydrogen-peroxide"] = {
      ["8"] = 8,
      ["250"] = 250
    },
    ["light-oil"] = {
      ["15"] = 15,
      ["20"] = 20,
      ["30"] = 30,
      ["45"] = 45,
      ["250"] = 250
    },
    ["liquid-air"] = {
      ["100"] = 100
    },
    ["liquid-fuel"] = {
      ["10"] = 10,
      ["50"] = 50
    },
    ["lithia-water"] = {
      ["250"] = 250
    },
    lubricant = {
      ["10"] = 10,
      ["250"] = 250
    },
    ["nitric-acid"] = {
      ["20"] = 20,
      ["250"] = 250
    },
    ["nitric-oxide"] = {
      ["20"] = 20,
      ["50"] = 50
    },
    nitrogen = {
      ["20"] = 20,
      ["50"] = 50
    },
    ["nitrogen-dioxide"] = {
      ["20"] = 20,
      ["50"] = 50
    },
    nitroglycerin = {
      ["10"] = 10,
      ["250"] = 250
    },
    oxygen = {
      ["5"] = 5,
      ["12.5"] = 12.5,
      ["50"] = 50
    },
    ["petroleum-gas"] = {
      ["20"] = 20,
      ["30"] = 30,
      ["40"] = 40,
      ["50"] = 50,
      ["55"] = 55
    },
    ["pure-water"] = {
      ["4"] = 4,
      ["12"] = 12,
      ["100"] = 100,
      ["250"] = 250
    },
    ["sulfur-dioxide"] = {
      ["10"] = 10,
      ["50"] = 50,
      ["60"] = 60
    },
    ["sulfuric-acid"] = {
      ["50"] = 50,
      ["250"] = 250
    },
    ["sulfuric-nitric-acid"] = {
      ["20"] = 20,
      ["250"] = 250
    },
    ["tungstic-acid"] = {
      ["20"] = 20,
      ["250"] = 250
    },
    water = {
      ["250"] = 250
    }
  },
  item = {
    accumulator = {
      ["1"] = 1
    },
    ["acid-bullet"] = {
      ["1"] = 1
    },
    ["acid-bullet-magazine"] = {
      ["1"] = 1
    },
    ["acid-bullet-projectile"] = {
      ["2"] = 2
    },
    ["acid-rocket-warhead"] = {
      ["1"] = 1
    },
    ["advanced-circuit"] = {
      ["1"] = 1
    },
    ["advanced-processing-unit"] = {
      ["1"] = 1
    },
    ["air-pump"] = {
      ["1"] = 1
    },
    ["air-pump-2"] = {
      ["1"] = 1
    },
    ["air-pump-3"] = {
      ["1"] = 1
    },
    ["air-pump-4"] = {
      ["1"] = 1
    },
    alumina = {
      ["1"] = 1
    },
    ["aluminium-plate"] = {
      ["2"] = 2
    },
    ["amethyst-3"] = {
      ["4"] = 4
    },
    ["amethyst-4"] = {
      ["1"] = 1
    },
    ["amethyst-5"] = {
      ["1"] = 1
    },
    ["ammonia-barrel"] = {
      ["1"] = 1
    },
    ["ap-bullet"] = {
      ["1"] = 1
    },
    ["ap-bullet-magazine"] = {
      ["1"] = 1
    },
    ["ap-bullet-projectile"] = {
      ["2"] = 2
    },
    ["arithmetic-combinator"] = {
      ["1"] = 1
    },
    ["assembling-machine-1"] = {
      ["1"] = 1
    },
    ["assembling-machine-2"] = {
      ["1"] = 1
    },
    ["assembling-machine-3"] = {
      ["1"] = 1
    },
    ["assembling-machine-4"] = {
      ["1"] = 1
    },
    ["assembling-machine-5"] = {
      ["1"] = 1
    },
    ["assembling-machine-6"] = {
      ["1"] = 1
    },
    ["atomic-bomb"] = {
      ["1"] = 1
    },
    ["basic-circuit-board"] = {
      ["1"] = 1
    },
    ["basic-electronic-components"] = {
      ["3"] = 3,
      ["5"] = 5
    },
    battery = {
      ["1"] = 1
    },
    ["battery-equipment"] = {
      ["1"] = 1
    },
    ["battery-mk2-equipment"] = {
      ["1"] = 1
    },
    ["battery-mk3-equipment"] = {
      ["1"] = 1
    },
    ["battery-mk4-equipment"] = {
      ["1"] = 1
    },
    ["battery-mk5-equipment"] = {
      ["1"] = 1
    },
    ["battery-mk6-equipment"] = {
      ["1"] = 1
    },
    beacon = {
      ["1"] = 1
    },
    ["beacon-2"] = {
      ["1"] = 1
    },
    ["beacon-3"] = {
      ["1"] = 1
    },
    ["better-shotgun-shell"] = {
      ["1"] = 1
    },
    ["big-electric-pole"] = {
      ["1"] = 1
    },
    ["big-electric-pole-2"] = {
      ["1"] = 1
    },
    ["big-electric-pole-3"] = {
      ["1"] = 1
    },
    ["big-electric-pole-4"] = {
      ["1"] = 1
    },
    ["bob-acid-rocket"] = {
      ["1"] = 1
    },
    ["bob-area-mining-drill-1"] = {
      ["1"] = 1
    },
    ["bob-area-mining-drill-2"] = {
      ["1"] = 1
    },
    ["bob-area-mining-drill-3"] = {
      ["1"] = 1
    },
    ["bob-area-mining-drill-4"] = {
      ["1"] = 1
    },
    ["bob-armoured-cargo-wagon"] = {
      ["1"] = 1
    },
    ["bob-armoured-cargo-wagon-2"] = {
      ["1"] = 1
    },
    ["bob-armoured-fluid-wagon"] = {
      ["1"] = 1
    },
    ["bob-armoured-fluid-wagon-2"] = {
      ["1"] = 1
    },
    ["bob-armoured-locomotive"] = {
      ["1"] = 1
    },
    ["bob-armoured-locomotive-2"] = {
      ["1"] = 1
    },
    ["bob-cargo-wagon-2"] = {
      ["1"] = 1
    },
    ["bob-cargo-wagon-3"] = {
      ["1"] = 1
    },
    ["bob-construction-robot-2"] = {
      ["1"] = 1
    },
    ["bob-construction-robot-3"] = {
      ["1"] = 1
    },
    ["bob-construction-robot-4"] = {
      ["1"] = 1
    },
    ["bob-distillery"] = {
      ["1"] = 1
    },
    ["bob-electric-rocket"] = {
      ["1"] = 1
    },
    ["bob-explosive-rocket"] = {
      ["1"] = 1
    },
    ["bob-flame-rocket"] = {
      ["1"] = 1
    },
    ["bob-fluid-wagon-2"] = {
      ["1"] = 1
    },
    ["bob-fluid-wagon-3"] = {
      ["1"] = 1
    },
    ["bob-greenhouse"] = {
      ["1"] = 1
    },
    ["bob-gun-turret-2"] = {
      ["1"] = 1
    },
    ["bob-gun-turret-3"] = {
      ["1"] = 1
    },
    ["bob-gun-turret-4"] = {
      ["1"] = 1
    },
    ["bob-gun-turret-5"] = {
      ["1"] = 1
    },
    ["bob-laser-robot"] = {
      ["1"] = 1
    },
    ["bob-laser-robot-capsule"] = {
      ["1"] = 1
    },
    ["bob-laser-turret-2"] = {
      ["1"] = 1
    },
    ["bob-laser-turret-3"] = {
      ["1"] = 1
    },
    ["bob-laser-turret-4"] = {
      ["1"] = 1
    },
    ["bob-laser-turret-5"] = {
      ["1"] = 1
    },
    ["bob-locomotive-2"] = {
      ["1"] = 1
    },
    ["bob-locomotive-3"] = {
      ["1"] = 1
    },
    ["bob-logistic-robot-2"] = {
      ["1"] = 1
    },
    ["bob-logistic-robot-3"] = {
      ["1"] = 1
    },
    ["bob-logistic-robot-4"] = {
      ["1"] = 1
    },
    ["bob-logistic-zone-expander"] = {
      ["1"] = 1
    },
    ["bob-logistic-zone-expander-2"] = {
      ["1"] = 1
    },
    ["bob-logistic-zone-expander-3"] = {
      ["1"] = 1
    },
    ["bob-logistic-zone-expander-4"] = {
      ["1"] = 1
    },
    ["bob-logistic-zone-interface"] = {
      ["1"] = 1
    },
    ["bob-mining-drill-1"] = {
      ["1"] = 1
    },
    ["bob-mining-drill-2"] = {
      ["1"] = 1
    },
    ["bob-mining-drill-3"] = {
      ["1"] = 1
    },
    ["bob-mining-drill-4"] = {
      ["1"] = 1
    },
    ["bob-piercing-rocket"] = {
      ["1"] = 1
    },
    ["bob-poison-rocket"] = {
      ["1"] = 1
    },
    ["bob-power-armor-mk3"] = {
      ["1"] = 1
    },
    ["bob-power-armor-mk4"] = {
      ["1"] = 1
    },
    ["bob-power-armor-mk5"] = {
      ["1"] = 1
    },
    ["bob-pump-2"] = {
      ["1"] = 1
    },
    ["bob-pump-3"] = {
      ["1"] = 1
    },
    ["bob-pump-4"] = {
      ["1"] = 1
    },
    ["bob-pumpjack-1"] = {
      ["1"] = 1
    },
    ["bob-pumpjack-2"] = {
      ["1"] = 1
    },
    ["bob-pumpjack-3"] = {
      ["1"] = 1
    },
    ["bob-pumpjack-4"] = {
      ["1"] = 1
    },
    ["bob-robo-charge-port"] = {
      ["1"] = 1
    },
    ["bob-robo-charge-port-2"] = {
      ["1"] = 1
    },
    ["bob-robo-charge-port-3"] = {
      ["1"] = 1
    },
    ["bob-robo-charge-port-4"] = {
      ["1"] = 1
    },
    ["bob-robo-charge-port-large"] = {
      ["1"] = 1
    },
    ["bob-robo-charge-port-large-2"] = {
      ["1"] = 1
    },
    ["bob-robo-charge-port-large-3"] = {
      ["1"] = 1
    },
    ["bob-robo-charge-port-large-4"] = {
      ["1"] = 1
    },
    ["bob-robochest"] = {
      ["1"] = 1
    },
    ["bob-robochest-2"] = {
      ["1"] = 1
    },
    ["bob-robochest-3"] = {
      ["1"] = 1
    },
    ["bob-robochest-4"] = {
      ["1"] = 1
    },
    ["bob-roboport-2"] = {
      ["1"] = 1
    },
    ["bob-roboport-3"] = {
      ["1"] = 1
    },
    ["bob-roboport-4"] = {
      ["1"] = 1
    },
    ["bob-robot-tank"] = {
      ["1"] = 1
    },
    ["bob-rocket"] = {
      ["1"] = 1
    },
    ["bob-sniper-turret-1"] = {
      ["1"] = 1
    },
    ["bob-sniper-turret-2"] = {
      ["1"] = 1
    },
    ["bob-sniper-turret-3"] = {
      ["1"] = 1
    },
    ["bob-tank-2"] = {
      ["1"] = 1
    },
    ["bob-tank-3"] = {
      ["1"] = 1
    },
    ["bob-valve"] = {
      ["1"] = 1
    },
    boiler = {
      ["1"] = 1
    },
    ["boiler-2"] = {
      ["1"] = 1
    },
    ["boiler-3"] = {
      ["1"] = 1
    },
    ["boiler-4"] = {
      ["1"] = 1
    },
    ["brass-alloy"] = {
      ["5"] = 5
    },
    ["brass-axe"] = {
      ["1"] = 1
    },
    ["brass-gear-wheel"] = {
      ["1"] = 1
    },
    ["brass-pipe"] = {
      ["1"] = 1
    },
    ["brass-pipe-to-ground"] = {
      ["2"] = 2
    },
    ["bronze-alloy"] = {
      ["5"] = 5
    },
    ["bronze-pipe"] = {
      ["1"] = 1
    },
    ["bronze-pipe-to-ground"] = {
      ["2"] = 2
    },
    bullet = {
      ["1"] = 1
    },
    ["bullet-casing"] = {
      ["1"] = 1
    },
    ["bullet-magazine"] = {
      ["1"] = 1
    },
    ["bullet-projectile"] = {
      ["2"] = 2
    },
    ["burner-inserter"] = {
      ["1"] = 1
    },
    ["burner-mining-drill"] = {
      ["1"] = 1
    },
    ["calcium-chloride"] = {
      ["1"] = 1
    },
    ["cannon-shell"] = {
      ["1"] = 1
    },
    car = {
      ["1"] = 1
    },
    carbon = {
      ["2"] = 2
    },
    ["cargo-wagon"] = {
      ["1"] = 1
    },
    centrifuge = {
      ["1"] = 1
    },
    ["ceramic-bearing"] = {
      ["1"] = 1,
      ["2"] = 2
    },
    ["ceramic-bearing-ball"] = {
      ["8"] = 8,
      ["12"] = 12
    },
    ["ceramic-pipe"] = {
      ["1"] = 1
    },
    ["ceramic-pipe-to-ground"] = {
      ["2"] = 2
    },
    ["chemical-boiler"] = {
      ["1"] = 1
    },
    ["chemical-furnace"] = {
      ["1"] = 1
    },
    ["chemical-plant"] = {
      ["1"] = 1
    },
    ["chemical-plant-2"] = {
      ["1"] = 1
    },
    ["chemical-plant-3"] = {
      ["1"] = 1
    },
    ["chemical-plant-4"] = {
      ["1"] = 1
    },
    ["chemical-steel-furnace"] = {
      ["1"] = 1
    },
    ["chlorine-barrel"] = {
      ["1"] = 1
    },
    ["circuit-board"] = {
      ["1"] = 1
    },
    ["cluster-grenade"] = {
      ["1"] = 1
    },
    ["cobalt-axe"] = {
      ["1"] = 1
    },
    ["cobalt-oxide"] = {
      ["1 min"] = 1,
      ["2"] = 2,
      ["3 max"] = 3
    },
    ["cobalt-plate"] = {
      ["1"] = 1
    },
    ["cobalt-steel-alloy"] = {
      ["10"] = 10
    },
    ["combat-shotgun"] = {
      ["1"] = 1
    },
    concrete = {
      ["10"] = 10
    },
    ["constant-combinator"] = {
      ["1"] = 1
    },
    ["construction-robot"] = {
      ["1"] = 1
    },
    ["copper-cable"] = {
      ["2"] = 2
    },
    ["copper-pipe"] = {
      ["1"] = 1
    },
    ["copper-pipe-to-ground"] = {
      ["2"] = 2
    },
    ["copper-plate"] = {
      ["1"] = 1,
      ["7 min"] = 7,
      ["11 max"] = 11
    },
    ["copper-tungsten-alloy"] = {
      ["5"] = 5
    },
    cordite = {
      ["5"] = 5
    },
    ["crude-oil-barrel"] = {
      ["1"] = 1
    },
    ["decider-combinator"] = {
      ["1"] = 1
    },
    ["defender-capsule"] = {
      ["1"] = 1
    },
    ["defender-robot"] = {
      ["1"] = 1
    },
    ["destroyer-capsule"] = {
      ["1"] = 1
    },
    ["destroyer-robot"] = {
      ["1"] = 1
    },
    ["diamond-3"] = {
      ["4"] = 4
    },
    ["diamond-4"] = {
      ["1"] = 1
    },
    ["diamond-5"] = {
      ["1"] = 1
    },
    ["diamond-axe"] = {
      ["1"] = 1
    },
    ["dinitrogen-tetroxide-barrel"] = {
      ["1"] = 1
    },
    ["discharge-defense-equipment"] = {
      ["1"] = 1
    },
    ["discharge-defense-remote"] = {
      ["1"] = 1
    },
    ["distractor-artillery-shell"] = {
      ["1"] = 1
    },
    ["distractor-capsule"] = {
      ["1"] = 1
    },
    ["distractor-mine"] = {
      ["3"] = 3
    },
    ["distractor-robot"] = {
      ["1"] = 1
    },
    ["effectivity-module"] = {
      ["1"] = 1
    },
    ["effectivity-module-2"] = {
      ["1"] = 1
    },
    ["effectivity-module-3"] = {
      ["1"] = 1
    },
    ["effectivity-module-4"] = {
      ["1"] = 1
    },
    ["effectivity-module-5"] = {
      ["1"] = 1
    },
    ["effectivity-module-6"] = {
      ["1"] = 1
    },
    ["effectivity-module-7"] = {
      ["1"] = 1
    },
    ["effectivity-module-8"] = {
      ["1"] = 1
    },
    ["effectivity-processor"] = {
      ["1"] = 1
    },
    ["effectivity-processor-2"] = {
      ["1"] = 1
    },
    ["effectivity-processor-3"] = {
      ["1"] = 1
    },
    ["electric-bullet"] = {
      ["1"] = 1
    },
    ["electric-bullet-magazine"] = {
      ["1"] = 1
    },
    ["electric-bullet-projectile"] = {
      ["2"] = 2
    },
    ["electric-chemical-mixing-furnace"] = {
      ["1"] = 1
    },
    ["electric-chemical-mixing-furnace-2"] = {
      ["1"] = 1
    },
    ["electric-energy-interface"] = {
      ["1"] = 1
    },
    ["electric-engine-unit"] = {
      ["1"] = 1
    },
    ["electric-furnace"] = {
      ["1"] = 1
    },
    ["electric-furnace-2"] = {
      ["1"] = 1
    },
    ["electric-furnace-3"] = {
      ["1"] = 1
    },
    ["electric-mining-drill"] = {
      ["1"] = 1
    },
    ["electric-mixing-furnace"] = {
      ["1"] = 1
    },
    ["electric-rocket-warhead"] = {
      ["1"] = 1
    },
    electrolyser = {
      ["1"] = 1
    },
    ["electrolyser-2"] = {
      ["1"] = 1
    },
    ["electrolyser-3"] = {
      ["1"] = 1
    },
    ["electrolyser-4"] = {
      ["1"] = 1
    },
    ["electronic-circuit"] = {
      ["1"] = 1
    },
    ["electronic-components"] = {
      ["3"] = 3,
      ["5"] = 5
    },
    ["electronics-machine-1"] = {
      ["1"] = 1
    },
    ["electronics-machine-2"] = {
      ["1"] = 1
    },
    ["electronics-machine-3"] = {
      ["1"] = 1
    },
    ["electrum-alloy"] = {
      ["5"] = 5
    },
    ["emerald-3"] = {
      ["4"] = 4
    },
    ["emerald-4"] = {
      ["1"] = 1
    },
    ["emerald-5"] = {
      ["1"] = 1
    },
    ["empty-barrel"] = {
      ["1"] = 1
    },
    ["empty-canister"] = {
      ["1"] = 1,
      ["5"] = 5
    },
    ["energy-shield-equipment"] = {
      ["1"] = 1
    },
    ["energy-shield-mk2-equipment"] = {
      ["1"] = 1
    },
    ["energy-shield-mk3-equipment"] = {
      ["1"] = 1
    },
    ["energy-shield-mk4-equipment"] = {
      ["1"] = 1
    },
    ["energy-shield-mk5-equipment"] = {
      ["1"] = 1
    },
    ["energy-shield-mk6-equipment"] = {
      ["1"] = 1
    },
    ["engine-unit"] = {
      ["1"] = 1
    },
    ["enriched-fuel"] = {
      ["1"] = 1
    },
    ["exoskeleton-equipment"] = {
      ["1"] = 1
    },
    ["exoskeleton-equipment-2"] = {
      ["1"] = 1
    },
    ["exoskeleton-equipment-3"] = {
      ["1"] = 1
    },
    ["explosive-artillery-shell"] = {
      ["1"] = 1
    },
    ["explosive-cannon-shell"] = {
      ["1"] = 1
    },
    ["explosive-rocket"] = {
      ["1"] = 1
    },
    ["explosive-rocket-warhead"] = {
      ["1"] = 1
    },
    ["explosive-uranium-cannon-shell"] = {
      ["1"] = 1
    },
    explosives = {
      ["1"] = 1
    },
    ["express-filter-inserter"] = {
      ["1"] = 1
    },
    ["express-inserter"] = {
      ["1"] = 1
    },
    ["express-loader"] = {
      ["1"] = 1
    },
    ["express-splitter"] = {
      ["1"] = 1
    },
    ["express-stack-filter-inserter"] = {
      ["1"] = 1
    },
    ["express-stack-inserter"] = {
      ["1"] = 1
    },
    ["express-transport-belt"] = {
      ["1"] = 1
    },
    ["express-underground-belt"] = {
      ["2"] = 2
    },
    ["fast-accumulator"] = {
      ["1"] = 1
    },
    ["fast-accumulator-2"] = {
      ["1"] = 1
    },
    ["fast-accumulator-3"] = {
      ["1"] = 1
    },
    ["fast-inserter"] = {
      ["1"] = 1
    },
    ["fast-loader"] = {
      ["1"] = 1
    },
    ["fast-splitter"] = {
      ["1"] = 1
    },
    ["fast-transport-belt"] = {
      ["1"] = 1
    },
    ["fast-underground-belt"] = {
      ["2"] = 2
    },
    ["ferric-chloride-solution-barrel"] = {
      ["1"] = 1
    },
    fertiliser = {
      ["1"] = 1
    },
    ["fibreglass-board"] = {
      ["2"] = 2
    },
    ["filter-inserter"] = {
      ["1"] = 1
    },
    ["firearm-magazine"] = {
      ["1"] = 1
    },
    ["flame-bullet"] = {
      ["1"] = 1
    },
    ["flame-bullet-magazine"] = {
      ["1"] = 1
    },
    ["flame-bullet-projectile"] = {
      ["2"] = 2
    },
    ["flame-rocket-warhead"] = {
      ["1"] = 1
    },
    flamethrower = {
      ["1"] = 1
    },
    ["flamethrower-ammo"] = {
      ["1"] = 1
    },
    ["flamethrower-turret"] = {
      ["1"] = 1
    },
    ["fluid-wagon"] = {
      ["1"] = 1
    },
    ["flying-robot-frame"] = {
      ["1"] = 1
    },
    ["flying-robot-frame-2"] = {
      ["1"] = 1
    },
    ["flying-robot-frame-3"] = {
      ["1"] = 1
    },
    ["flying-robot-frame-4"] = {
      ["1"] = 1
    },
    ["fusion-reactor-equipment"] = {
      ["1"] = 1
    },
    ["fusion-reactor-equipment-2"] = {
      ["1"] = 1
    },
    ["fusion-reactor-equipment-3"] = {
      ["1"] = 1
    },
    ["fusion-reactor-equipment-4"] = {
      ["1"] = 1
    },
    ["gas-canister"] = {
      ["1"] = 1,
      ["5"] = 5
    },
    gate = {
      ["1"] = 1
    },
    ["gilded-copper-cable"] = {
      ["3"] = 3
    },
    glass = {
      ["1"] = 1
    },
    ["glycerol-barrel"] = {
      ["1"] = 1
    },
    ["gold-plate"] = {
      ["1"] = 1
    },
    ["green-module-1"] = {
      ["1"] = 1
    },
    ["green-module-2"] = {
      ["1"] = 1
    },
    ["green-module-3"] = {
      ["1"] = 1
    },
    ["green-module-4"] = {
      ["1"] = 1
    },
    ["green-module-5"] = {
      ["1"] = 1
    },
    ["green-module-6"] = {
      ["1"] = 1
    },
    ["green-module-7"] = {
      ["1"] = 1
    },
    ["green-module-8"] = {
      ["1"] = 1
    },
    ["green-splitter"] = {
      ["1"] = 1
    },
    ["green-transport-belt"] = {
      ["1"] = 1
    },
    ["green-underground-belt"] = {
      ["2"] = 2
    },
    ["green-wire"] = {
      ["1"] = 1
    },
    grenade = {
      ["1"] = 1
    },
    ["grinding-wheel"] = {
      ["2"] = 2
    },
    ["gun-cotton"] = {
      ["1"] = 1
    },
    ["gun-turret"] = {
      ["1"] = 1
    },
    ["gunmetal-alloy"] = {
      ["10"] = 10
    },
    ["hazard-concrete"] = {
      ["10"] = 10
    },
    ["he-bullet"] = {
      ["1"] = 1
    },
    ["he-bullet-magazine"] = {
      ["1"] = 1
    },
    ["he-bullet-projectile"] = {
      ["2"] = 2
    },
    ["heat-exchanger"] = {
      ["1"] = 1
    },
    ["heat-exchanger-2"] = {
      ["1"] = 1
    },
    ["heat-exchanger-3"] = {
      ["1"] = 1
    },
    ["heat-pipe"] = {
      ["1"] = 1
    },
    ["heat-shield-tile"] = {
      ["1"] = 1
    },
    ["heavy-armor"] = {
      ["1"] = 1
    },
    ["heavy-armor-2"] = {
      ["1"] = 1
    },
    ["heavy-armor-3"] = {
      ["1"] = 1
    },
    ["heavy-oil-barrel"] = {
      ["1"] = 1
    },
    ["high-tech-science-pack"] = {
      ["2"] = 2
    },
    ["hydrazine-barrel"] = {
      ["1"] = 1
    },
    ["hydrogen-barrel"] = {
      ["1"] = 1
    },
    ["hydrogen-chloride-barrel"] = {
      ["1"] = 1
    },
    ["hydrogen-peroxide-barrel"] = {
      ["1"] = 1
    },
    inserter = {
      ["1"] = 1
    },
    ["insulated-cable"] = {
      ["2"] = 2
    },
    ["intergrated-electronics"] = {
      ["3"] = 3,
      ["5"] = 5
    },
    ["invar-alloy"] = {
      ["5"] = 5
    },
    ["iron-axe"] = {
      ["1"] = 1
    },
    ["iron-chest"] = {
      ["1"] = 1
    },
    ["iron-gear-wheel"] = {
      ["1"] = 1
    },
    ["iron-plate"] = {
      ["1"] = 1
    },
    ["iron-stick"] = {
      ["2"] = 2
    },
    lab = {
      ["1"] = 1
    },
    ["lab-2"] = {
      ["1"] = 1
    },
    ["lab-module"] = {
      ["1"] = 1
    },
    ["land-mine"] = {
      ["4"] = 4
    },
    landfill = {
      ["1"] = 1
    },
    ["large-accumulator"] = {
      ["1"] = 1
    },
    ["large-accumulator-2"] = {
      ["1"] = 1
    },
    ["large-accumulator-3"] = {
      ["1"] = 1
    },
    ["laser-rifle"] = {
      ["1"] = 1
    },
    ["laser-rifle-battery"] = {
      ["1"] = 1
    },
    ["laser-rifle-battery-amethyst"] = {
      ["1"] = 1
    },
    ["laser-rifle-battery-case"] = {
      ["2"] = 2
    },
    ["laser-rifle-battery-diamond"] = {
      ["1"] = 1
    },
    ["laser-rifle-battery-emerald"] = {
      ["1"] = 1
    },
    ["laser-rifle-battery-ruby"] = {
      ["1"] = 1
    },
    ["laser-rifle-battery-sapphire"] = {
      ["1"] = 1
    },
    ["laser-rifle-battery-topaz"] = {
      ["1"] = 1
    },
    ["laser-turret"] = {
      ["1"] = 1
    },
    ["lead-oxide"] = {
      ["1"] = 1
    },
    ["lead-plate"] = {
      ["1"] = 1,
      ["2"] = 2,
      ["7 min"] = 7,
      ["11 max"] = 11
    },
    ["light-armor"] = {
      ["1"] = 1
    },
    ["light-oil-barrel"] = {
      ["1"] = 1
    },
    ["liquid-fuel-barrel"] = {
      ["1"] = 1
    },
    ["lithia-water-barrel"] = {
      ["1"] = 1
    },
    lithium = {
      ["1"] = 1
    },
    ["lithium-chloride"] = {
      ["1"] = 1
    },
    ["lithium-cobalt-oxide"] = {
      ["2"] = 2
    },
    ["lithium-ion-battery"] = {
      ["1"] = 1
    },
    ["lithium-perchlorate"] = {
      ["1"] = 1
    },
    loader = {
      ["1"] = 1
    },
    locomotive = {
      ["1"] = 1
    },
    ["logistic-chest-active-provider"] = {
      ["1"] = 1
    },
    ["logistic-chest-active-provider-2"] = {
      ["1"] = 1
    },
    ["logistic-chest-passive-provider"] = {
      ["1"] = 1
    },
    ["logistic-chest-passive-provider-2"] = {
      ["1"] = 1
    },
    ["logistic-chest-requester"] = {
      ["1"] = 1
    },
    ["logistic-chest-requester-2"] = {
      ["1"] = 1
    },
    ["logistic-chest-storage"] = {
      ["1"] = 1
    },
    ["logistic-chest-storage-2"] = {
      ["1"] = 1
    },
    ["logistic-robot"] = {
      ["1"] = 1
    },
    ["logistic-science-pack"] = {
      ["2"] = 2
    },
    ["long-handed-inserter"] = {
      ["1"] = 1
    },
    ["low-density-structure"] = {
      ["1"] = 1
    },
    ["lubricant-barrel"] = {
      ["1"] = 1
    },
    magazine = {
      ["2"] = 2
    },
    ["medium-electric-pole"] = {
      ["1"] = 1
    },
    ["medium-electric-pole-2"] = {
      ["1"] = 1
    },
    ["medium-electric-pole-3"] = {
      ["1"] = 1
    },
    ["medium-electric-pole-4"] = {
      ["1"] = 1
    },
    ["military-science-pack"] = {
      ["2"] = 2
    },
    ["mixing-furnace"] = {
      ["1"] = 1
    },
    ["mixing-steel-furnace"] = {
      ["1"] = 1
    },
    ["modular-armor"] = {
      ["1"] = 1
    },
    ["module-case"] = {
      ["1"] = 1
    },
    ["module-circuit-board"] = {
      ["1"] = 1
    },
    ["module-contact"] = {
      ["3"] = 3,
      ["5"] = 5
    },
    ["module-processor-board"] = {
      ["2"] = 2,
      ["4"] = 4
    },
    ["module-processor-board-2"] = {
      ["2"] = 2,
      ["4"] = 4
    },
    ["module-processor-board-3"] = {
      ["2"] = 2,
      ["4"] = 4
    },
    ["multi-layer-circuit-board"] = {
      ["1"] = 1
    },
    ["nickel-plate"] = {
      ["1"] = 1
    },
    ["night-vision-equipment"] = {
      ["1"] = 1
    },
    ["night-vision-equipment-2"] = {
      ["1"] = 1
    },
    ["night-vision-equipment-3"] = {
      ["1"] = 1
    },
    ["nitinol-alloy"] = {
      ["5"] = 5
    },
    ["nitinol-bearing"] = {
      ["1"] = 1,
      ["2"] = 2
    },
    ["nitinol-bearing-ball"] = {
      ["8"] = 8,
      ["12"] = 12
    },
    ["nitinol-gear-wheel"] = {
      ["1"] = 1
    },
    ["nitric-acid-barrel"] = {
      ["1"] = 1
    },
    ["nitric-oxide-barrel"] = {
      ["1"] = 1
    },
    ["nitrogen-barrel"] = {
      ["1"] = 1
    },
    ["nitrogen-dioxide-barrel"] = {
      ["1"] = 1
    },
    ["nitroglycerin-barrel"] = {
      ["1"] = 1
    },
    ["nuclear-reactor"] = {
      ["1"] = 1
    },
    ["offshore-pump"] = {
      ["1"] = 1
    },
    ["oil-refinery"] = {
      ["1"] = 1
    },
    ["oil-refinery-2"] = {
      ["1"] = 1
    },
    ["oil-refinery-3"] = {
      ["1"] = 1
    },
    ["oil-refinery-4"] = {
      ["1"] = 1
    },
    ["oxygen-barrel"] = {
      ["1"] = 1
    },
    ["personal-laser-defense-equipment"] = {
      ["1"] = 1
    },
    ["personal-laser-defense-equipment-2"] = {
      ["1"] = 1
    },
    ["personal-laser-defense-equipment-3"] = {
      ["1"] = 1
    },
    ["personal-laser-defense-equipment-4"] = {
      ["1"] = 1
    },
    ["personal-laser-defense-equipment-5"] = {
      ["1"] = 1
    },
    ["personal-laser-defense-equipment-6"] = {
      ["1"] = 1
    },
    ["personal-roboport-equipment"] = {
      ["1"] = 1
    },
    ["personal-roboport-mk2-equipment"] = {
      ["1"] = 1
    },
    ["petroleum-gas-barrel"] = {
      ["1"] = 1
    },
    ["petroleum-jelly"] = {
      ["1"] = 1
    },
    ["phenolic-board"] = {
      ["2"] = 2
    },
    ["piercing-rocket-warhead"] = {
      ["1"] = 1
    },
    ["piercing-rounds-magazine"] = {
      ["1"] = 1
    },
    ["piercing-shotgun-shell"] = {
      ["1"] = 1
    },
    pipe = {
      ["1"] = 1
    },
    ["pipe-to-ground"] = {
      ["2"] = 2
    },
    pistol = {
      ["1"] = 1
    },
    ["plastic-bar"] = {
      ["2"] = 2
    },
    ["plastic-pipe"] = {
      ["1"] = 1
    },
    ["plastic-pipe-to-ground"] = {
      ["2"] = 2
    },
    ["player-port"] = {
      ["1"] = 1
    },
    ["poison-artillery-shell"] = {
      ["1"] = 1
    },
    ["poison-bullet"] = {
      ["1"] = 1
    },
    ["poison-bullet-magazine"] = {
      ["1"] = 1
    },
    ["poison-bullet-projectile"] = {
      ["2"] = 2
    },
    ["poison-capsule"] = {
      ["1"] = 1
    },
    ["poison-mine"] = {
      ["4"] = 4
    },
    ["poison-rocket-warhead"] = {
      ["1"] = 1
    },
    ["polishing-compound"] = {
      ["2"] = 2
    },
    ["polishing-wheel"] = {
      ["2"] = 2
    },
    ["pollution-clean-module-1"] = {
      ["1"] = 1
    },
    ["pollution-clean-module-2"] = {
      ["1"] = 1
    },
    ["pollution-clean-module-3"] = {
      ["1"] = 1
    },
    ["pollution-clean-module-4"] = {
      ["1"] = 1
    },
    ["pollution-clean-module-5"] = {
      ["1"] = 1
    },
    ["pollution-clean-module-6"] = {
      ["1"] = 1
    },
    ["pollution-clean-module-7"] = {
      ["1"] = 1
    },
    ["pollution-clean-module-8"] = {
      ["1"] = 1
    },
    ["pollution-clean-processor"] = {
      ["1"] = 1
    },
    ["pollution-clean-processor-2"] = {
      ["1"] = 1
    },
    ["pollution-clean-processor-3"] = {
      ["1"] = 1
    },
    ["pollution-create-module-1"] = {
      ["1"] = 1
    },
    ["pollution-create-module-2"] = {
      ["1"] = 1
    },
    ["pollution-create-module-3"] = {
      ["1"] = 1
    },
    ["pollution-create-module-4"] = {
      ["1"] = 1
    },
    ["pollution-create-module-5"] = {
      ["1"] = 1
    },
    ["pollution-create-module-6"] = {
      ["1"] = 1
    },
    ["pollution-create-module-7"] = {
      ["1"] = 1
    },
    ["pollution-create-module-8"] = {
      ["1"] = 1
    },
    ["pollution-create-processor"] = {
      ["1"] = 1
    },
    ["pollution-create-processor-2"] = {
      ["1"] = 1
    },
    ["pollution-create-processor-3"] = {
      ["1"] = 1
    },
    ["powdered-tungsten"] = {
      ["1"] = 1
    },
    ["power-armor"] = {
      ["1"] = 1
    },
    ["power-armor-mk2"] = {
      ["1"] = 1
    },
    ["power-switch"] = {
      ["1"] = 1
    },
    ["processing-electronics"] = {
      ["3"] = 3,
      ["5"] = 5
    },
    ["processing-unit"] = {
      ["1"] = 1
    },
    ["production-science-pack"] = {
      ["2"] = 2
    },
    ["productivity-module"] = {
      ["1"] = 1
    },
    ["productivity-module-2"] = {
      ["1"] = 1
    },
    ["productivity-module-3"] = {
      ["1"] = 1
    },
    ["productivity-module-4"] = {
      ["1"] = 1
    },
    ["productivity-module-5"] = {
      ["1"] = 1
    },
    ["productivity-module-6"] = {
      ["1"] = 1
    },
    ["productivity-module-7"] = {
      ["1"] = 1
    },
    ["productivity-module-8"] = {
      ["1"] = 1
    },
    ["productivity-processor"] = {
      ["1"] = 1
    },
    ["productivity-processor-2"] = {
      ["1"] = 1
    },
    ["productivity-processor-3"] = {
      ["1"] = 1
    },
    ["programmable-speaker"] = {
      ["1"] = 1
    },
    pump = {
      ["1"] = 1
    },
    pumpjack = {
      ["1"] = 1
    },
    ["pure-water-barrel"] = {
      ["1"] = 1
    },
    ["purple-splitter"] = {
      ["1"] = 1
    },
    ["purple-transport-belt"] = {
      ["1"] = 1
    },
    ["purple-underground-belt"] = {
      ["2"] = 2
    },
    radar = {
      ["1"] = 1
    },
    ["radar-2"] = {
      ["1"] = 1
    },
    ["radar-3"] = {
      ["1"] = 1
    },
    ["radar-4"] = {
      ["1"] = 1
    },
    ["radar-5"] = {
      ["1"] = 1
    },
    rail = {
      ["2"] = 2
    },
    ["rail-chain-signal"] = {
      ["1"] = 1
    },
    ["rail-signal"] = {
      ["1"] = 1
    },
    railgun = {
      ["1"] = 1
    },
    ["railgun-dart"] = {
      ["1"] = 1
    },
    ["raw-productivity-module-1"] = {
      ["1"] = 1
    },
    ["raw-productivity-module-2"] = {
      ["1"] = 1
    },
    ["raw-productivity-module-3"] = {
      ["1"] = 1
    },
    ["raw-productivity-module-4"] = {
      ["1"] = 1
    },
    ["raw-productivity-module-5"] = {
      ["1"] = 1
    },
    ["raw-productivity-module-6"] = {
      ["1"] = 1
    },
    ["raw-productivity-module-7"] = {
      ["1"] = 1
    },
    ["raw-productivity-module-8"] = {
      ["1"] = 1
    },
    ["raw-speed-module-1"] = {
      ["1"] = 1
    },
    ["raw-speed-module-2"] = {
      ["1"] = 1
    },
    ["raw-speed-module-3"] = {
      ["1"] = 1
    },
    ["raw-speed-module-4"] = {
      ["1"] = 1
    },
    ["raw-speed-module-5"] = {
      ["1"] = 1
    },
    ["raw-speed-module-6"] = {
      ["1"] = 1
    },
    ["raw-speed-module-7"] = {
      ["1"] = 1
    },
    ["raw-speed-module-8"] = {
      ["1"] = 1
    },
    ["raw-wood"] = {
      ["10"] = 10,
      ["10 min"] = 10,
      ["20 max"] = 20,
      ["30 max"] = 30,
      ["50 max"] = 50
    },
    ["red-wire"] = {
      ["1"] = 1
    },
    ["reinforced-gate"] = {
      ["1"] = 1
    },
    ["reinforced-wall"] = {
      ["1"] = 1
    },
    ["repair-pack"] = {
      ["1"] = 1
    },
    resin = {
      ["1"] = 1
    },
    rifle = {
      ["1"] = 1
    },
    roboport = {
      ["1"] = 1
    },
    ["roboport-antenna-1"] = {
      ["1"] = 1
    },
    ["roboport-antenna-2"] = {
      ["1"] = 1
    },
    ["roboport-antenna-3"] = {
      ["1"] = 1
    },
    ["roboport-antenna-4"] = {
      ["1"] = 1
    },
    ["roboport-chargepad-1"] = {
      ["1"] = 1
    },
    ["roboport-chargepad-2"] = {
      ["1"] = 1
    },
    ["roboport-chargepad-3"] = {
      ["1"] = 1
    },
    ["roboport-chargepad-4"] = {
      ["1"] = 1
    },
    ["roboport-door-1"] = {
      ["1"] = 1
    },
    ["roboport-door-2"] = {
      ["1"] = 1
    },
    ["roboport-door-3"] = {
      ["1"] = 1
    },
    ["roboport-door-4"] = {
      ["1"] = 1
    },
    ["robot-brain-combat"] = {
      ["1"] = 1
    },
    ["robot-brain-combat-2"] = {
      ["1"] = 1
    },
    ["robot-brain-combat-3"] = {
      ["1"] = 1
    },
    ["robot-brain-combat-4"] = {
      ["1"] = 1
    },
    ["robot-brain-construction"] = {
      ["1"] = 1
    },
    ["robot-brain-construction-2"] = {
      ["1"] = 1
    },
    ["robot-brain-construction-3"] = {
      ["1"] = 1
    },
    ["robot-brain-construction-4"] = {
      ["1"] = 1
    },
    ["robot-brain-logistic"] = {
      ["1"] = 1
    },
    ["robot-brain-logistic-2"] = {
      ["1"] = 1
    },
    ["robot-brain-logistic-3"] = {
      ["1"] = 1
    },
    ["robot-brain-logistic-4"] = {
      ["1"] = 1
    },
    ["robot-tool-combat"] = {
      ["1"] = 1
    },
    ["robot-tool-combat-2"] = {
      ["1"] = 1
    },
    ["robot-tool-combat-3"] = {
      ["1"] = 1
    },
    ["robot-tool-combat-4"] = {
      ["1"] = 1
    },
    ["robot-tool-construction"] = {
      ["1"] = 1
    },
    ["robot-tool-construction-2"] = {
      ["1"] = 1
    },
    ["robot-tool-construction-3"] = {
      ["1"] = 1
    },
    ["robot-tool-construction-4"] = {
      ["1"] = 1
    },
    ["robot-tool-logistic"] = {
      ["1"] = 1
    },
    ["robot-tool-logistic-2"] = {
      ["1"] = 1
    },
    ["robot-tool-logistic-3"] = {
      ["1"] = 1
    },
    ["robot-tool-logistic-4"] = {
      ["1"] = 1
    },
    rocket = {
      ["1"] = 1
    },
    ["rocket-body"] = {
      ["1"] = 1
    },
    ["rocket-control-unit"] = {
      ["1"] = 1
    },
    ["rocket-engine"] = {
      ["1"] = 1
    },
    ["rocket-fuel"] = {
      ["1"] = 1
    },
    ["rocket-launcher"] = {
      ["1"] = 1
    },
    ["rocket-part"] = {
      ["1"] = 1
    },
    ["rocket-silo"] = {
      ["1"] = 1
    },
    ["rocket-warhead"] = {
      ["1"] = 1
    },
    rubber = {
      ["1"] = 1
    },
    ["ruby-3"] = {
      ["4"] = 4
    },
    ["ruby-4"] = {
      ["1"] = 1
    },
    ["ruby-5"] = {
      ["1"] = 1
    },
    salt = {
      ["1"] = 1
    },
    ["sapphire-3"] = {
      ["4"] = 4
    },
    ["sapphire-4"] = {
      ["1"] = 1
    },
    ["sapphire-5"] = {
      ["1"] = 1
    },
    satellite = {
      ["1"] = 1
    },
    ["scatter-cannon-shell"] = {
      ["1"] = 1
    },
    ["science-pack-1"] = {
      ["1"] = 1
    },
    ["science-pack-2"] = {
      ["1"] = 1
    },
    ["science-pack-3"] = {
      ["1"] = 1
    },
    seedling = {
      ["1 min"] = 1,
      ["3 max"] = 3,
      ["9 max"] = 9
    },
    shot = {
      ["1"] = 1
    },
    shotgun = {
      ["1"] = 1
    },
    ["shotgun-acid-shell"] = {
      ["1"] = 1
    },
    ["shotgun-ap-shell"] = {
      ["1"] = 1
    },
    ["shotgun-electric-shell"] = {
      ["1"] = 1
    },
    ["shotgun-explosive-shell"] = {
      ["1"] = 1
    },
    ["shotgun-flame-shell"] = {
      ["1"] = 1
    },
    ["shotgun-poison-shell"] = {
      ["1"] = 1
    },
    ["shotgun-shell"] = {
      ["1"] = 1
    },
    ["shotgun-shell-casing"] = {
      ["1"] = 1
    },
    silicon = {
      ["2"] = 2
    },
    ["silicon-carbide"] = {
      ["2"] = 2
    },
    ["silicon-nitride"] = {
      ["1"] = 1
    },
    ["silicon-powder"] = {
      ["1"] = 1
    },
    ["silicon-wafer"] = {
      ["8"] = 8
    },
    ["silver-nitrate"] = {
      ["1"] = 1
    },
    ["silver-ore"] = {
      ["1 min"] = 1,
      ["3 max"] = 3
    },
    ["silver-oxide"] = {
      ["1"] = 1
    },
    ["silver-plate"] = {
      ["1"] = 1
    },
    ["silver-zinc-battery"] = {
      ["1"] = 1
    },
    ["slow-accumulator"] = {
      ["1"] = 1
    },
    ["slow-accumulator-2"] = {
      ["1"] = 1
    },
    ["slow-accumulator-3"] = {
      ["1"] = 1
    },
    ["slowdown-capsule"] = {
      ["1"] = 1
    },
    ["slowdown-mine"] = {
      ["4"] = 4
    },
    ["small-electric-pole"] = {
      ["2"] = 2
    },
    ["small-lamp"] = {
      ["1"] = 1
    },
    ["small-plane"] = {
      ["1"] = 1
    },
    ["sniper-rifle"] = {
      ["1"] = 1
    },
    ["sodium-hydroxide"] = {
      ["1"] = 1
    },
    ["solar-panel"] = {
      ["1"] = 1
    },
    ["solar-panel-2"] = {
      ["1"] = 1
    },
    ["solar-panel-3"] = {
      ["1"] = 1
    },
    ["solar-panel-equipment"] = {
      ["1"] = 1
    },
    ["solar-panel-equipment-2"] = {
      ["1"] = 1
    },
    ["solar-panel-equipment-3"] = {
      ["1"] = 1
    },
    ["solar-panel-equipment-4"] = {
      ["1"] = 1
    },
    ["solar-panel-large"] = {
      ["1"] = 1
    },
    ["solar-panel-large-2"] = {
      ["1"] = 1
    },
    ["solar-panel-large-3"] = {
      ["1"] = 1
    },
    ["solar-panel-small"] = {
      ["1"] = 1
    },
    ["solar-panel-small-2"] = {
      ["1"] = 1
    },
    ["solar-panel-small-3"] = {
      ["1"] = 1
    },
    solder = {
      ["8"] = 8
    },
    ["solder-alloy"] = {
      ["11"] = 11
    },
    ["solid-fuel"] = {
      ["1"] = 1
    },
    ["speed-module"] = {
      ["1"] = 1
    },
    ["speed-module-2"] = {
      ["1"] = 1
    },
    ["speed-module-3"] = {
      ["1"] = 1
    },
    ["speed-module-4"] = {
      ["1"] = 1
    },
    ["speed-module-5"] = {
      ["1"] = 1
    },
    ["speed-module-6"] = {
      ["1"] = 1
    },
    ["speed-module-7"] = {
      ["1"] = 1
    },
    ["speed-module-8"] = {
      ["1"] = 1
    },
    ["speed-processor"] = {
      ["1"] = 1
    },
    ["speed-processor-2"] = {
      ["1"] = 1
    },
    ["speed-processor-3"] = {
      ["1"] = 1
    },
    splitter = {
      ["1"] = 1
    },
    ["stack-filter-inserter"] = {
      ["1"] = 1
    },
    ["stack-inserter"] = {
      ["1"] = 1
    },
    ["steam-engine"] = {
      ["1"] = 1
    },
    ["steam-engine-2"] = {
      ["1"] = 1
    },
    ["steam-engine-3"] = {
      ["1"] = 1
    },
    ["steam-turbine"] = {
      ["1"] = 1
    },
    ["steam-turbine-2"] = {
      ["1"] = 1
    },
    ["steam-turbine-3"] = {
      ["1"] = 1
    },
    ["steel-axe"] = {
      ["1"] = 1
    },
    ["steel-bearing"] = {
      ["1"] = 1,
      ["2"] = 2
    },
    ["steel-bearing-ball"] = {
      ["8"] = 8,
      ["12"] = 12
    },
    ["steel-chest"] = {
      ["1"] = 1
    },
    ["steel-furnace"] = {
      ["1"] = 1
    },
    ["steel-gear-wheel"] = {
      ["1"] = 1
    },
    ["steel-pipe"] = {
      ["1"] = 1
    },
    ["steel-pipe-to-ground"] = {
      ["2"] = 2
    },
    ["steel-plate"] = {
      ["1"] = 1
    },
    ["stone-brick"] = {
      ["1"] = 1
    },
    ["stone-furnace"] = {
      ["1"] = 1
    },
    ["stone-pipe"] = {
      ["1"] = 1
    },
    ["stone-pipe-to-ground"] = {
      ["2"] = 2
    },
    ["stone-wall"] = {
      ["1"] = 1
    },
    ["storage-tank"] = {
      ["1"] = 1
    },
    ["storage-tank-2"] = {
      ["1"] = 1
    },
    ["storage-tank-3"] = {
      ["1"] = 1
    },
    ["storage-tank-4"] = {
      ["1"] = 1
    },
    ["submachine-gun"] = {
      ["1"] = 1
    },
    substation = {
      ["1"] = 1
    },
    ["substation-2"] = {
      ["1"] = 1
    },
    ["substation-3"] = {
      ["1"] = 1
    },
    ["substation-4"] = {
      ["1"] = 1
    },
    sulfur = {
      ["2"] = 2,
      ["5"] = 5,
      ["20"] = 20
    },
    ["sulfur-dioxide-barrel"] = {
      ["1"] = 1
    },
    ["sulfuric-acid-barrel"] = {
      ["1"] = 1
    },
    ["sulfuric-nitric-acid-barrel"] = {
      ["1"] = 1
    },
    ["superior-circuit-board"] = {
      ["1"] = 1
    },
    tank = {
      ["1"] = 1
    },
    ["tin-plate"] = {
      ["1"] = 1
    },
    ["tinned-copper-cable"] = {
      ["3"] = 3
    },
    ["titanium-axe"] = {
      ["1"] = 1
    },
    ["titanium-bearing"] = {
      ["1"] = 1,
      ["2"] = 2
    },
    ["titanium-bearing-ball"] = {
      ["8"] = 8,
      ["12"] = 12
    },
    ["titanium-gear-wheel"] = {
      ["1"] = 1
    },
    ["titanium-pipe"] = {
      ["1"] = 1
    },
    ["titanium-pipe-to-ground"] = {
      ["2"] = 2
    },
    ["titanium-plate"] = {
      ["2"] = 2
    },
    ["topaz-3"] = {
      ["4"] = 4
    },
    ["topaz-4"] = {
      ["1"] = 1
    },
    ["topaz-5"] = {
      ["1"] = 1
    },
    ["train-stop"] = {
      ["1"] = 1
    },
    ["transport-belt"] = {
      ["2"] = 2
    },
    ["tungsten-axe"] = {
      ["1"] = 1
    },
    ["tungsten-carbide"] = {
      ["2"] = 2
    },
    ["tungsten-gear-wheel"] = {
      ["1"] = 1
    },
    ["tungsten-oxide"] = {
      ["1"] = 1
    },
    ["tungsten-pipe"] = {
      ["1"] = 1
    },
    ["tungsten-pipe-to-ground"] = {
      ["2"] = 2
    },
    ["tungsten-plate"] = {
      ["5"] = 5
    },
    ["tungstic-acid-barrel"] = {
      ["1"] = 1
    },
    ["underground-belt"] = {
      ["2"] = 2
    },
    ["uranium-235"] = {
      ["1"] = 1,
      ["41"] = 41
    },
    ["uranium-238"] = {
      ["1"] = 1,
      ["2"] = 2,
      ["3"] = 3
    },
    ["uranium-cannon-shell"] = {
      ["1"] = 1
    },
    ["uranium-fuel-cell"] = {
      ["10"] = 10
    },
    ["uranium-rounds-magazine"] = {
      ["1"] = 1
    },
    ["vehicle-battery-1"] = {
      ["1"] = 1
    },
    ["vehicle-battery-2"] = {
      ["1"] = 1
    },
    ["vehicle-battery-3"] = {
      ["1"] = 1
    },
    ["vehicle-battery-4"] = {
      ["1"] = 1
    },
    ["vehicle-battery-5"] = {
      ["1"] = 1
    },
    ["vehicle-battery-6"] = {
      ["1"] = 1
    },
    ["vehicle-big-turret-1"] = {
      ["1"] = 1
    },
    ["vehicle-big-turret-2"] = {
      ["1"] = 1
    },
    ["vehicle-big-turret-3"] = {
      ["1"] = 1
    },
    ["vehicle-big-turret-4"] = {
      ["1"] = 1
    },
    ["vehicle-big-turret-5"] = {
      ["1"] = 1
    },
    ["vehicle-big-turret-6"] = {
      ["1"] = 1
    },
    ["vehicle-engine"] = {
      ["1"] = 1
    },
    ["vehicle-fusion-cell-1"] = {
      ["1"] = 1
    },
    ["vehicle-fusion-cell-2"] = {
      ["1"] = 1
    },
    ["vehicle-fusion-cell-3"] = {
      ["1"] = 1
    },
    ["vehicle-fusion-cell-4"] = {
      ["1"] = 1
    },
    ["vehicle-fusion-cell-5"] = {
      ["1"] = 1
    },
    ["vehicle-fusion-cell-6"] = {
      ["1"] = 1
    },
    ["vehicle-fusion-reactor-1"] = {
      ["1"] = 1
    },
    ["vehicle-fusion-reactor-2"] = {
      ["1"] = 1
    },
    ["vehicle-fusion-reactor-3"] = {
      ["1"] = 1
    },
    ["vehicle-fusion-reactor-4"] = {
      ["1"] = 1
    },
    ["vehicle-fusion-reactor-5"] = {
      ["1"] = 1
    },
    ["vehicle-fusion-reactor-6"] = {
      ["1"] = 1
    },
    ["vehicle-laser-defense-1"] = {
      ["1"] = 1
    },
    ["vehicle-laser-defense-2"] = {
      ["1"] = 1
    },
    ["vehicle-laser-defense-3"] = {
      ["1"] = 1
    },
    ["vehicle-laser-defense-4"] = {
      ["1"] = 1
    },
    ["vehicle-laser-defense-5"] = {
      ["1"] = 1
    },
    ["vehicle-laser-defense-6"] = {
      ["1"] = 1
    },
    ["vehicle-motor"] = {
      ["1"] = 1
    },
    ["vehicle-roboport"] = {
      ["1"] = 1
    },
    ["vehicle-roboport-2"] = {
      ["1"] = 1
    },
    ["vehicle-shield-1"] = {
      ["1"] = 1
    },
    ["vehicle-shield-2"] = {
      ["1"] = 1
    },
    ["vehicle-shield-3"] = {
      ["1"] = 1
    },
    ["vehicle-shield-4"] = {
      ["1"] = 1
    },
    ["vehicle-shield-5"] = {
      ["1"] = 1
    },
    ["vehicle-shield-6"] = {
      ["1"] = 1
    },
    ["vehicle-solar-panel-1"] = {
      ["1"] = 1
    },
    ["vehicle-solar-panel-2"] = {
      ["1"] = 1
    },
    ["vehicle-solar-panel-3"] = {
      ["1"] = 1
    },
    ["vehicle-solar-panel-4"] = {
      ["1"] = 1
    },
    ["vehicle-solar-panel-5"] = {
      ["1"] = 1
    },
    ["vehicle-solar-panel-6"] = {
      ["1"] = 1
    },
    void = {
      ["1"] = 1
    },
    ["void-pump"] = {
      ["1"] = 1
    },
    ["water-barrel"] = {
      ["1"] = 1
    },
    ["water-miner-1"] = {
      ["1"] = 1
    },
    ["water-miner-2"] = {
      ["1"] = 1
    },
    ["water-miner-3"] = {
      ["1"] = 1
    },
    ["water-miner-4"] = {
      ["1"] = 1
    },
    ["water-miner-5"] = {
      ["1"] = 1
    },
    ["water-pump"] = {
      ["1"] = 1
    },
    ["water-pump-2"] = {
      ["1"] = 1
    },
    ["water-pump-3"] = {
      ["1"] = 1
    },
    ["water-pump-4"] = {
      ["1"] = 1
    },
    wood = {
      ["2"] = 2
    },
    ["wooden-board"] = {
      ["2"] = 2
    },
    ["wooden-chest"] = {
      ["1"] = 1
    },
    ["zinc-plate"] = {
      ["1"] = 1
    }
  }
}